//专业接口
export {
  addPro,
  updatePro,
  delBatchPro,
  getProById,
  queryProList,
  listPagesPro,
} from "./RequestSettings/professional.js";

//机构接口
export {
  addOrg,
  updateOrg,
  delBatchOrg,
  getOrgById,
  queryOrgList,
  listPagesOrg,
  queryingOrgParent,
  queryingOrgSons,
  queryingOrgLookForParent,
} from "./RequestSettings/organization.js";

//课程接口
export {
  addCourse,
  updateCourse,
  delBatchCourse,
  getCourseById,
  queryCourseList,
  listPagesCourse,
} from "./RequestSettings/course.js";

//学期接口
export {
  semesterAdd,
  updateSemester,
  semesterDelBatch,
  getSemesterById,
  getSemesterList,
  querySemesterList,
} from './RequestSettings/semester'

//校区接口  
export {
  addCampus,
  updateCampus,
  delBatchCampus,
  getCampusById,
  queryCampusList,
  listPagesCampus,
} from './RequestSettings/campus';

//教学楼
export {
  addTeachingBuilding,
  updateTeachingBuilding,
  delBatchTeachingBuilding,
  getTeachingBuildingById,
  queryTeachingBuildingList,
  listPagesTeachingBuilding,
} from './RequestSettings/teachingBuilding';

//楼层接口 
export {
  addFloor,
  updateFloor,
  delBatchFloor,
  getFloorById,
  queryFloorList,
  listPagesFloor,
} from "./RequestSettings/floor";

//教室接口
export {
  addClassroom,
  updateClassroom,
  delBatchClassroom,
  getClassroomById,
  queryClassroomList,
  listPagesClassroom,
} from './RequestSettings/classroom'

export { GlobalConfiguration } from "./globalConfiguration";
